AI Models

Get the organization's AI model catalog

GET
/api/ai-models

Returns the authenticated organization's provider and model catalog sorted by providerName. The catalog is initialized once from read-only bootstrap templates and is tenant-isolated thereafter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/ai-models"
{  "success": true,  "data": [    {      "_id": "5f7b1c2e8a1d4e0012c3b4a5",      "providerName": "Anthropic",      "vercelUniqueName": "anthropic",      "websiteUrl": "https://www.anthropic.com",      "modelDetails": [        {          "modelName": "claude-sonnet-4-6"        }      ]    },    {      "_id": "5f7b1c2e8a1d4e0012c3b4a6",      "providerName": "OpenAI",      "vercelUniqueName": "openai",      "websiteUrl": "https://platform.openai.com",      "modelDetails": [        {          "modelName": "gpt-4o-mini"        }      ]    }  ]}